Name:		fgfs-Atlas
Summary:	Flightgear map tools
Version:	0.4.0
Release:	%mkrel 2
License:	GPLv2+
Group:		Games/Other
Source:		http://downloads.sourceforge.net/sourceforge/atlas/Atlas-%{version}.tar.bz2
Source1:	Atlas-default-maps.tar.gz
Patch0:		atlas-CVS.diff
Patch1:		fgfs-Atlas-0.3.1-gcc43.patch
Patch2:		Atlas-externdecl.patch
URL:		http://atlas.sourceforge.net
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root
BuildRequires:	libmesaglu1-devel, libcurl4-devel, SimGear-devel, libpng-devel, libOpenSceneGraph-devel
Requires:	FlightGear

%description
Atlas aims to produce and display high quality charts of the world for
users of FlightGear, an open source flight simulator. This is achieved
through two main parts: The map creator (simply called Map) and the
Atlas viewer

%prep
%setup -q -n Atlas
#%patch0 -p0
%patch2 -p0

%build
./autogen.sh
%configure2_5x CXXFLAGS="%{optflags} -fPIC" --with-fgbase=%{_datadir}/games/FlightGear/data 
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_datadir}/games/FlightGear/data/Atlas
cp -r src/data/* $RPM_BUILD_ROOT%{_datadir}/games/FlightGear/data/Atlas

# Script to start Atlas
cat <<EOF > %{buildroot}%{_bindir}/fgfs-Atlas.sh
# Atlas mapping utility for FlightGear

#Set Environment variables for home folder, FlightGear data folder and Scenery folders
export FG_HOME=\$HOME/.fgfs
export FG_ROOT=%{_datadir}/games/FlightGear/data
export FG_SCENERY=\$FG_HOME/TerraSync:\$FG_ROOT/Scenery

# Atlas, first run - create Atlas folder in user home
if [ ! -d \$HOME/.fgfs/Atlas ] ; then
  mkdir -p \$HOME/.fgfs/Atlas
  ln -s %{_datadir}/games/FlightGear/data/Atlas/Fonts \$HOME/.fgfs/Atlas
fi

# Generate maps in background
%{_bindir}/Map --atlas=\$HOME/.fgfs/Atlas &

# Make sure there is only one instance of Atlas
# Make sure not to include any other running instances with the name Atlas
RUNNING=\`ps ax | grep Atlas | grep -v grep | grep -v %{name} | grep -v 'Map --atlas' | wc -l\`

if [ \$RUNNING = 0 ] ; then
%{_bindir}/Atlas --atlas=\$HOME/.fgfs/Atlas --udp=5500
fi
EOF

install -d -m 755 %{buildroot}%{_datadir}/applications
cat >  %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Atlas FlightGear Map utility
Comment=%{summary}
Exec=%{_bindir}/fgfs-Atlas.sh
Icon=FlightGear
Type=Application
Comment=Atlas map utility for FlightGear
Comment[da]=Atlas, landkort til FlightGear
Categories=X-MandrivaLinux-MoreApplications-Games-Other;Game;
EOF

chmod +x %{buildroot}%{_bindir}/fgfs-Atlas.sh

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root, 0755)
%doc AUTHORS COPYING NEWS README
%{_bindir}/*
%{_datadir}/games/FlightGear/*
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat May 29 2010 Martin Bantz <martin.bantz@gmail.com> 0.4.0
- Moved Atlas data to fligtgear base dir (data)

* Mon Nov 2 2009 Martin Bantz <martin.bantz@gmail.com> 0.4.0
- Built for PCLinuxOS from farice at bellet dot info
- Add start script
- Add patch to fix c and c++ interoperability 
